MarcResult (marc4j)
Keywords: org.marc4j.marcxml.MarcResult class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.marcxml
Class MarcResult

    java.lang.Object
      org.marc4j.marcxml.MarcResult

All Implemented Interfaces:
  Result

public class MarcResult
extends Object
implements Result

Collects the result of a MARC conversion.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters
See Also:
  `MarcHandler`

Field Summary

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`MarcResult()`
`MarcResult(MarcHandler handler)` Create a new instance and registers the MarcHandler implementation.

Method Summary
`MarcHandler` | `getHandler()` Returns the MarcHandler implementation.
`String` | `getSystemId()` Returns the system identifier.
`void` | `setHandler(MarcHandler handler)` Registers the MarcHandler implementation.
`void` | `setSystemId(String systemID)` Registers the systemID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarcResult

    public MarcResult()

### MarcResult

    public MarcResult(MarcHandler handler)

  Create a new instance and registers the MarcHandler implementation.

Parameters:
  `handler` - the `MarcHandler` implementation

Method Detail

### setHandler

    public void setHandler(MarcHandler handler)

  Registers the MarcHandler implementation.

  Parameters:
    `handler` - the `MarcHandler` implementation

### setSystemId

    public void setSystemId(String systemID)

  Registers the systemID.

  Specified by:
    `setSystemId` in interface `Result`
  Parameters:
    `systemID` - the system identifier

### getHandler

    public MarcHandler getHandler()

  Returns the MarcHandler implementation.

  Returns:
    MarcHandler - the MarcHandler implementation

### getSystemId

    public String getSystemId()

  Returns the system identifier.

  Specified by:
    `getSystemId` in interface `Result`
  Returns:
    String - the system identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.